# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.photos
Class CommentAuthor

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.Person
                  com.google.gdata.data.photos.CommentAuthor

All Implemented Interfaces:
  Extension, IPerson

    public class CommentAuthor

extends Person

Comment author, contains commentor name and image.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.Person
`Person.AtomHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.Person
`email, name, nameLang, uri`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`CommentAuthor()` Default mutable constructor.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`static ExtensionDescription` `getDefaultDescription(boolean required, boolean repeatable)` Returns the extension description, specifying whether it is required, and whether it is repeatable.
`GphotoNickname` `getNickname()` Returns the gphoto nickname.
`GphotoThumbnail` `getThumbnail()` Returns the gphoto thumbnail.
`GphotoUsername` `getUsername()` Returns the username of the user who made the comment.
`boolean` `hasNickname()` Returns whether it has the gphoto nickname.
`boolean` `hasThumbnail()` Returns whether it has the gphoto thumbnail.
`boolean` `hasUsername()` Returns whether it has the username of the user who made the comment.
`void` `setNickname(GphotoNickname nickname)` Sets the gphoto nickname.
`void` `setThumbnail(GphotoThumbnail thumbnail)` Sets the gphoto thumbnail.
`void` `setUsername(GphotoUsername username)` Sets the username of the user who made the comment.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.Person
`generate, generate, generateAtom, generateRss, getEmail, getHandler, getName, getNameLang, getUri, setEmail, setName, setNameLang, setUri`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommentAuthor

    public CommentAuthor()

  Default mutable constructor.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.

### getNickname

    public GphotoNickname getNickname()

  Returns the gphoto nickname.

  Returns:
    gphoto nickname

### setNickname

    public void setNickname(GphotoNickname nickname)

  Sets the gphoto nickname.

  Parameters:
    `nickname` - gphoto nickname or `null` to reset

### hasNickname

    public boolean hasNickname()

  Returns whether it has the gphoto nickname.

  Returns:
    whether it has the gphoto nickname

### getThumbnail

    public GphotoThumbnail getThumbnail()

  Returns the gphoto thumbnail.

  Returns:
    gphoto thumbnail

### setThumbnail

    public void setThumbnail(GphotoThumbnail thumbnail)

  Sets the gphoto thumbnail.

  Parameters:
    `thumbnail` - gphoto thumbnail or `null` to reset

### hasThumbnail

    public boolean hasThumbnail()

  Returns whether it has the gphoto thumbnail.

  Returns:
    whether it has the gphoto thumbnail

### getUsername

    public GphotoUsername getUsername()

  Returns the username of the user who made the comment.

  Returns:
    username of the user who made the comment

### setUsername

    public void setUsername(GphotoUsername username)

  Sets the username of the user who made the comment.

  Parameters:
    `username` - username of the user who made the comment or `null` to reset

### hasUsername

    public boolean hasUsername()

  Returns whether it has the username of the user who made the comment.

  Returns:
    whether it has the username of the user who made the comment

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean required,
                                                             boolean repeatable)

  Returns the extension description, specifying whether it is required, and whether it is repeatable.

  Parameters:
    `required` - whether it is required
    `repeatable` - whether it is repeatable
  Returns:
    extension description

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`